﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - My Application</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
    <link href="~/Scripts/jquery-ui-1.12.1.custom/jquery-ui.min.css" rel="stylesheet" />
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" media="screen" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.10.0/css/bootstrap-select.min.css">
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>

</head>
<body>
    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @Html.ActionLink("Application name", "Index", "Order", new { area = "" }, new { @class = "navbar-brand" })
            </div>
            <div class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    <li>@Html.ActionLink("Order", "Index", "Order")</li>
                    <li>@Html.ActionLink("Company", "Index", "Company")</li>
                    <li>@Html.ActionLink("Driver", "Index", "Driver")</li>
                </ul>
                @Html.Partial("_LoginPartial")
            </div>
        </div>
    </div>
    <div class="container body-content">
        @RenderBody()
        <hr />
        <footer>
            @*<p>&copy; @DateTime.Now.Year</p>*@
        </footer>
    </div>
    <script src="http://code.jquery.com/jquery-1.10.2.js"></script>
    <script src="http://code.jquery.com/ui/1.11.2/jquery-ui.js"></script>
    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)
    <script src="~/Scripts/bootstrap.js"></script>
    <script src="~/Scripts/moment.js"></script>
    <script src="~/Scripts/bootstrap-datetimepicker.min.js"></script>
    <script type="text/javascript" src="~/Scripts/datepic.js"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.10.0/js/bootstrap-select.min.js"></script>
    <script>

        function AddDriver() {
            $("#btnAddDriver").on('click',
                function () {
                    $('.DriverAdder').append(
                        '<div class="col-lg-12">' +
                        '<div class="col-xs-4">' +
                        '<dl class="dl-horizontal">' +
                        '<dt>' +
                        'მძღოლი:' +
                        '</dt>' +
                        '<dd>' +
                        '<select id="Driver[]" name="driver" class="form-control">' +
                        '<option value="32">sfdfsdf</option>' +
                        '</select>' +
                        '</dd>' +
                        '<dt>' +
                        'პირადი ნომერი:' +
                        '</dt>' +
                        '<dd>' +
                        '<input type="text" class="form-control text-box single-line" id="PersonalN" name="DriverPersonalN" value="idi" readonly="readonly" placeholder="პირადი ნომერი" />' +
                        '</dd>' +
                        '<dt>' +
                        'ტრანსპორტი:' +
                        '</dt>' +
                        '<dd>' +
                        '<input type="text" class="form-control text-box single-line" id="Transport" name="DriverTransport" value="fdsf" readonly="readonly" placeholder="ტრანსპორტი" />' +
                        '</dd>' +
                        '</dl>' +
                        '</div>' +
                        '<div class="col-xs-4">' +
                        '</div>' +
                        '<div class="col-xs-4">' +
                        '</div>' +
                    '</div>'
                    );

                });

        }



        function AddInputListener() {
            $('.armatureAmountCount').unbind('change').on('change',
                function (e) {
                    var sum = 0;
                    $('.armatureAmountCount').each(function () {
                        sum += Number($(this).val().replace(",", "."));
                    });
                    $('#armatureCounter').text("არმატურების რაოდენობის ჯამი -" + sum);
                });
        }

        function DeleteRowInArmature() {
            $('.btnDelete').unbind('click').on('click',
                function () {
                    $('div[id="armatures[' + $(this).prop('name') + ']"]').remove();
                    var sum = 0;
                    $('.armatureAmountCount').each(function () {
                        sum += Number($(this).val().replace(",", "."));
                    });
                    $('#armatureCounter').text("არმატურების რაოდენობის ჯამი -" + sum);

                    var i = 0;
                    $(".counterArmature").each(function () {
                        $(this).attr('id', 'armatures[' + i + ']');
                        $(this).find('input[type=button]').attr('name', i);
                        $(this).find('#Profile').attr('name', 'armatures[' + i + '].ProfileId');
                        $(this).find('.armatureAmountCount').attr('name', 'armatures[' + i + '].Amount');
                        $(this).find('#Length').attr('name', 'armatures[' + i + '].LengthId');
                        $(this).find('.armatureComment').attr('name', 'armatures[' + i + '].Comment');
                        $(this).find('#ArmatureGlinula').attr('name', 'armatures[' + i + '].Glinula');
                        i = i + 1;
                    });
                });

            $('.btnDeleteEdit').unbind('click').on('click',
                function () {
                    $('div[id="ArmatureList[' + $(this).prop('name') + ']"]').remove();
                    var sum = 0;
                    $('.armatureAmountCount').each(function () {
                        sum += Number($(this).val().replace(",", "."));
                    });
                    $('#armatureCounter').text("არმატურების რაოდენობის ჯამი -" + sum);

                    var i = 0;
                    $(".counterArmature").each(function () {
                        $(this).attr('id', 'ArmatureList[' + i + ']');
                        $(this).find('input[type=button]').attr('name', i);
                        $(this).find('#Profile').attr('name', 'ArmatureList[' + i + '].ProfileId');
                        $(this).find('.armatureAmountCount').attr('name', 'ArmatureList[' + i + '].Amount');
                        $(this).find('#Length').attr('name', 'ArmatureList[' + i + '].LengthId');
                        $(this).find('.armatureComment').attr('name', 'ArmatureList[' + i + '].Comment');
                        $(this).find('#ArmatureGlinula').attr('name', 'ArmatureList[' + i + '].Glinula');
                        i = i + 1;
                    });
                });





        }


        function AddCompanyAddress() {
            var divCount = $(".companyAddress").length;

            $('#companyAddresses').append(
                '<div id="companyAddress[' + divCount + ']" class="col-lg-12 companyAddress">' +
                '<div class="col-xs-1">' +
                '</div>' +
                '<div class="col-xs-1">' +
                '<input type="button" class="btn btn-danger btnAddressDelete" id="btnAddressDelete" name="' + divCount + '" value="წაშლა"/>' +
                '</div>' +
                '<div class="col-xs-10">' +
                '<input type="text" style="margin-left: -10px" class="form-control text-box single-line" name="CompanyAddressList[' + divCount + '].Address" placeholder="მისამართი"/>' +
                '</div>' +
                '</div>'
            );
            DeleteRowInCompanyAddress();
        }

        function DeleteRowInCompanyAddress() {
            $('.btnAddressDelete').unbind('click').on('click',
                function () {
                    $('div[id="companyAddress[' + $(this).prop('name') + ']"]').remove();


                    var i = 0;
                    $(".companyAddress").each(function () {
                        $(this).attr('id', 'companyAddress[' + i + ']');
                        $(this).find('input[type=button]').attr('name', i);
                        $(this).find('input[type=text]').attr('name', 'CompanyAddressList[' + i + '].Address');
                        $(this).find('input[type=hidden]').attr('name', 'CompanyAddressList[' + i + '].Id');
                        i = i + 1;
                    });
                });
        }


        $(document).ready(function () {

            AddInputListener();
            DeleteRowInArmature();
            //    AddDriver();
            DeleteRowInCompanyAddress();

            MyAppUrlSettings = {
                MyUsefulUrl: '@Url.Action("CalculateValuta", "Order")'
            }

            MyAppUrlSettingsForDriver = {
                MyUsefulUrlDriver: '@Url.Action("GetDriver", "Driver")'
            }

            MyAppUrlSettingsForCompany = {
                MyUsefulUrlCompany: '@Url.Action("GetCompany", "Company")'
            }

            MyAppUrlIndexSearch = {
                MyUsefulSearch: '@Url.Action("index", "Order")'
            }


            MyAppUrlLastOrder = {
                MyUsefulLastOrder: '@Url.Action("GetLastOrder", "Order")'
            }



            $('#SearchLast').on('click', function (e) {

                $.ajax({
                    type: "POST",
                    url: MyAppUrlLastOrder.MyUsefulLastOrder,
                    data: "{'companyId' : '" + $("#Company").val() + "'}",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    success: function (data) {
                        MakeLastCreate(data);
                    },
                    error: function (xhr, ajaxOptions, thrownError) {
                        location.reload();
                    }
                });

            });


            function MakeLastCreate(data) {
                //  $('#Driver').val(data.Order.DriverId);

                $.each(data.Order.DriverList, function (i, item) {
                    $('.selectpicker option[value=' + item.Id + ']').attr('selected', 'selected');
                });
                $('.selectpicker').selectpicker('refresh');

                $('#companyAddress option[value=' + data.Order.CompanyAddress + ']').attr('selected', 'selected');


                var dt = new Date(data.Order.CreateDate);
                var day = ("0" + dt.getDate()).slice(-2);
                var month = ("0" + (dt.getMonth() + 1)).slice(-2);
                $('#CreateDate').val(dt.getFullYear() + "-" + (month) + "-" + (day));
                $('#IsPaid').prop('checked', data.Order.IsPaid);
                $('#IsBuyer').prop('checked', data.Order.IsBuyer);
                $('#Khamut').prop('checked', data.Order.Khamut);
                $('#Theoretical').prop('checked', data.Order.Theoretical);
                $('#Comment').val(data.Order.Comment);

                var sum = 0;
                for (i = 0; i < data.Armatures.length; i++) {
                    sum += Number(data.Armatures[i].Amount);
                }

                $('#armatureCounter').text("არმატურების რაოდენობის ჯამი -" + sum);
                //   $('#ArmatureAmount').val(data.Armatures[0].Amount);
                //  $('#ArmatureComment').val(data.Armatures[0].Comment);


                $('#armature').empty();
                var divCount = $(".counterArmature").length;

                for (i = 0; i < data.Armatures.length; i++) {
                    $('#armature').append(

                        '<div id="armatures[' + divCount + ']" class="col-lg-12 counterArmature">' +
                        '<div class="col-xs-1">' +
                        '<input type="button" class="btn btn-danger btnDelete" id="btnDelete" name="' + divCount + '" value="წაშლა"/>' +
                        '</div>' +
                        '<div class="col-xs-2">' +
                        '<select id="Profile' + divCount + '"  name="armatures[' + divCount + '].ProfileId" class="form-control">' +
                        '<option value="1">6,5 გლინულა</option>' +
                        '<option value="2">8 მმ გლინულა</option>' +
                        '<option value="10">8 მმ</option>' +
                        '<option value="3">10 მმ</option>' +
                        '<option value="4">12 მმ</option>' +
                        '<option value="5">14 მმ</option>' +
                        '<option value="11">16 მმ</option>' +
                        '<option value="12">18 მმ</option>' +
                        '<option value="13">20 მმ</option>' +
                        '<option value="6">22 მმ</option>' +
                        '<option value="7">25 მმ</option>' +
                        '<option value="8">28 მმ</option>' +
                        '<option value="9">32 მმ</option>' +
                        '</select>' +
                        '</div>' +
                        '<div class="col-xs-2">' +
                        '<input type="text" class="form-control text-box single-line armatureAmountCount" id="EnterDate" name="armatures[' + divCount + '].Amount" value="' + data.Armatures[i].Amount + '" placeholder="რაოდენობა" />' +
                        '</div>' +
                        '<div class="col-xs-3">' +
                        '<select id="Length' + divCount + '" name="armatures[' + divCount + '].LengthId" class="form-control">' +
                        '<option value="1">12 მეტრი (სტანდარტული, ძირითადი სიგრძე)</option>' +
                        '<option value="2">3-დან 11 მეტრამდე (არასტანდარტული)</option>' +
                        '<option value="3">1.5-დან 3 მეტრამდე (არასტანდარტული)</option>' +
                        '</select>' +
                        '</div>' +
                        '<div class="col-xs-2">' +
                        '<input type="text" class="form-control text-box single-line armatureComment" id="EnterDate" name="armatures[' + divCount + '].Comment" value="' + data.Armatures[i].Comment + '" placeholder="კომენტარი" />' +
                        '</div>' +
                        '<div class="col-xs-2">'+
                        '<input type="checkbox" class="armatureGlinulaCount" id="ArmatureGlinula" value="true" name="armatures[' + divCount + '].Glinula" />დახვეული ' +
                        '</div>' +
                        '</div>'
                    );


                    $("#Profile" + divCount + "").val(data.Armatures[i].ProfileId);
                    $("#Length" + divCount + "").val(data.Armatures[i].LengthId);

                    divCount++;
                }



                $('#orderDetailDiv').empty();
                var divCount1 = $(".orderDetailCount").length;

                for (i = 0; i < data.OrderDetails.length; i++) {
                    $('#orderDetailDiv').append(
                        '<div class="col-lg-12 orderDetailCount" style="margin-bottom: 15px">' +
                        '<div class="col-xs-4">' +
                        '<select id="DetailLength' + divCount1 + '" name="orderDetails[' + divCount1 + '].LengthId"  class="form-control">' +
                        '<option value="1">12 მეტრი (სტანდარტული, ძირითადი სიგრძე)</option>' +
                        '<option value="2">3-დან 11 მეტრამდე (არასტანდარტული)</option>' +
                        '<option value="3">1.5-დან 3 მეტრამდე (არასტანდარტული)</option>' +
                        '</select>' +
                        '</div>' +
                        '<div class="col-xs-4">' +
                        '<input type="text" class="form-control text-box single-line" id="EnterDate" name="orderDetails[' + divCount1 + '].Price" value="' + data.OrderDetails[i].Price + '" placeholder="ფასი" />' +
                        '</div>' +
                        '<div class="col-xs-4">' +
                        '<input type="text" class="form-control text-box single-line" id="EnterDate" name="orderDetails[' + divCount1 + '].Comment" value="' + data.OrderDetails[i].Comment + '" placeholder="კომენტარი" />' +
                        '</div>' +
                        '</div>'
                    );

                    $("#DetailLength" + divCount1 + "").val(data.OrderDetails[i].LengthId);

                    divCount1++;
                }
                DeleteRowInArmature();
                AddInputListener();
            }







            $('#DriverSearch').on('change', function (e) {
                postForm(1);
            });

            $('#CompanySearch').on('change', function (e) {
                postForm(1);
            });

            //$('#DateSearch').on('change', function (e) {
            //    postForm(1);
            //});


            $('#DateClickSearch').on('click', function (e) {
                postForm(1);
            });

            $('#SendSearch').on('change', function (e) {
                postForm(1);
            });


            function postForm(number) {
                var form = document.getElementById('orderIndex');
                form.submit();
            }


            //$('#Driver').on('change', function (e) {

            //    $.ajax({
            //        type: "POST",
            //        url: MyAppUrlSettingsForDriver.MyUsefulUrlDriver,
            //        data: "{'driverId' : '" + $("#Driver").val() + "'}",
            //        contentType: "application/json; charset=utf-8",
            //        dataType: "json",
            //        success: function (data) {
            //            $('#PersonalN').val(data.PersonalN);
            //            $('#Transport').val(data.Transport);
            //        },
            //        error: function (xhr, ajaxOptions, thrownError) {
            //            alert(xhr.status);
            //            alert(thrownError);
            //        }
            //    });

            //});




            $('#Company').on('change', function (e) {

                $.ajax({
                    type: "POST",
                    url: MyAppUrlSettingsForCompany.MyUsefulUrlCompany,
                    data: "{'companyId' : '" + $("#Company").val() + "'}",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    success: function (data) {
                        var type;
                        if (data.Type == 0) {
                            type = "ფიზიკური პირი";
                        } else {
                            type = "იურიდიული პირი";
                        }

                        $('#Type').val(type);
                        $('#Number').val(data.IdNumber);

                        //   $('#companyAddress').val(data.Address);
                        $('#companyAddress').children('option').remove();

                        $.each(data.CompanyAddressList, function (i, item) {
                            $('#companyAddress')
                                .append($("<option></option>")
                                    .attr("value", item.Id)
                                    .text(item.Address));
                        });
                    },
                    error: function (xhr, ajaxOptions, thrownError) {
                        alert(xhr.status);
                        alert(thrownError);
                    }
                });

            });










            $("#nbgDate1").on('change', function () {

                var date = $("#nbgDate1").val();
                $.ajax({
                    type: "POST",
                    url: MyAppUrlSettings.MyUsefulUrl,
                    data: "{'date' : '" + date + "'}",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    contentType: "application/json; charset=utf-8",
                    success: function (data) {
                        $("#nbgRate1").val(data);
                    }
                });
            });


            $("#nbgDate2").on('change', function () {

                var date = $("#nbgDate2").val();
                $.ajax({
                    type: "POST",
                    url: MyAppUrlSettings.MyUsefulUrl,
                    data: "{'date' : '" + date + "'}",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    contentType: "application/json; charset=utf-8",
                    success: function (data) {
                        $("#nbgRate2").val(data);
                    }
                });
            });

            $("#nbgDate3").on('change', function () {

                var date = $("#nbgDate3").val();
                $.ajax({
                    type: "POST",
                    url: MyAppUrlSettings.MyUsefulUrl,
                    data: "{'date' : '" + date + "'}",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    contentType: "application/json; charset=utf-8",
                    success: function (data) {
                        $("#nbgRate3").val(data);
                    }
                });
            });

            $("#nbgDate4").on('change', function () {

                var date = $("#nbgDate4").val();
                $.ajax({
                    type: "POST",
                    url: MyAppUrlSettings.MyUsefulUrl,
                    data: "{'date' : '" + date + "'}",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    contentType: "application/json; charset=utf-8",
                    success: function (data) {
                        $("#nbgRate4").val(data);
                    }
                });
            });
            $("#nbgDate5").on('change', function () {

                var date = $("#nbgDate5").val();
                $.ajax({
                    type: "POST",
                    url: MyAppUrlSettings.MyUsefulUrl,
                    data: "{'date' : '" + date + "'}",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    contentType: "application/json; charset=utf-8",
                    success: function (data) {
                        $("#nbgRate5").val(data);
                    }
                });
            });
            $("#nbgDate6").on('change', function () {

                var date = $("#nbgDate6").val();
                $.ajax({
                    type: "POST",
                    url: MyAppUrlSettings.MyUsefulUrl,
                    data: "{'date' : '" + date + "'}",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    contentType: "application/json; charset=utf-8",
                    success: function (data) {
                        $("#nbgRate6").val(data);
                    }
                });
            });
            $("#nbgDate7").on('change', function () {

                var date = $("#nbgDate7").val();
                $.ajax({
                    type: "POST",
                    url: MyAppUrlSettings.MyUsefulUrl,
                    data: "{'date' : '" + date + "'}",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    contentType: "application/json; charset=utf-8",
                    success: function (data) {
                        $("#nbgRate7").val(data);
                    }
                });
            });
            $("#nbgDate8").on('change', function () {

                var date = $("#nbgDate8").val();
                $.ajax({
                    type: "POST",
                    url: MyAppUrlSettings.MyUsefulUrl,
                    data: "{'date' : '" + date + "'}",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    contentType: "application/json; charset=utf-8",
                    success: function (data) {
                        $("#nbgRate8").val(data);
                    }
                });
            });
            $("#nbgDate9").on('change', function () {

                var date = $("#nbgDate9").val();
                $.ajax({
                    type: "POST",
                    url: MyAppUrlSettings.MyUsefulUrl,
                    data: "{'date' : '" + date + "'}",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    contentType: "application/json; charset=utf-8",
                    success: function (data) {
                        $("#nbgRate9").val(data);
                    }
                });
            });
            $("#nbgDate10").on('change', function () {

                var date = $("#nbgDate10").val();
                $.ajax({
                    type: "POST",
                    url: MyAppUrlSettings.MyUsefulUrl,
                    data: "{'date' : '" + date + "'}",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    contentType: "application/json; charset=utf-8",
                    success: function (data) {
                        $("#nbgRate10").val(data);
                    }
                });
            });
            $("#nbgDate11").on('change', function () {

                var date = $("#nbgDate11").val();
                $.ajax({
                    type: "POST",
                    url: MyAppUrlSettings.MyUsefulUrl,
                    data: "{'date' : '" + date + "'}",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    contentType: "application/json; charset=utf-8",
                    success: function (data) {
                        $("#nbgRate11").val(data);
                    }
                });
            });

            $("#nbgDate12").on('change', function () {

                var date = $("#nbgDate12").val();
                $.ajax({
                    type: "POST",
                    url: MyAppUrlSettings.MyUsefulUrl,
                    data: "{'date' : '" + date + "'}",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    contentType: "application/json; charset=utf-8",
                    success: function (data) {
                        $("#nbgRate12").val(data);
                    }
                });
            });

        });


    </script>
</body>
</html>
